-- --------------------------------------------------------------------------
--
-- Create database SQL script
--
--  project : SIH-Adagio :: Core Server
--  version : 4.1.34 for ${pom.env}
--      env : ${pom.env} - ${pom.profil}
--     date : ${pom.date.fr}
--
--  Copyright Ifremer 2009
-- 
-- 01/02/09 BL  Creation
-- 30/04/12 BL  Ajout de l'appel a create-triggers.sql
--              (Apr�s create-generic-triggers.sql pour permettre sa surcharge)
-- --------------------------------------------------------------------------
-- --------------------------------------------------------------------------
-- IMPORTANT NOTE : Execute the sql file with SYSTEM privilege
-- --------------------------------------------------------------------------

-- Create tablespace and user - need SYSTEM user
connect ${jdbc.admin.username}/${jdbc.admin.password}
/
@create-tablespaces.sql
/
@create-user.sql
/

-- Create tables, views and procedures
connect SIH2_ADAGIO_DBA/7SIH2_ADAGIO_DBA_
/
@create-tables.sql
/
@alter-tables.sql
/
@create-generic-triggers.sql
/
@create-generic-indexes.sql
/
@create-views.sql
/
@create-procedures.sql
/
@create-triggers.sql
/

-- [optional] create additional users - need SYSTEM user
/*
connect ${jdbc.admin.username}/${jdbc.admin.password}
/
@create-other-users.sql
/
@create-other-users-grants.sql
/
@create-other-users-synonyms.sql
/
*/